## org.eclipse.datatools.modelbase.sql.query.util
Interface SQLSourceWriter

All Known Implementing Classes:
  SQLQuerySourceWriter, SQLXMLQuerySourceWriter

    public interface SQLSourceWriter

A `SQLSourceWriter` provides a generic `getSQL()` method to generate the SQL source of a given `queryObject`. `SQLQuerySourceWriter` provides the base implementation of this interface, implementing the `getSQL()` method for the Package `org.eclipse.datatools.modelbase.sql.query`.

Author:
  ckadner

Method Summary
`java.lang.String` `getSQL(SQLQueryObject queryObject)`

Method Detail

### getSQL

    java.lang.String getSQL(SQLQueryObject queryObject)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.